Bug 683609 - Purging (but not deleting) a plugin results in a wedged plugin situation
Purging (but not deleting) a plugin results in a wedged plugin situation
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
high Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon3 gwt-plugins rhq42
  Show dependency treegraph
 
Reported: 2011-03-09 15:46 EST by Corey Welton
Modified: 2013-08-31 06:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:40:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yellow message (12.25 KB, image/png)
2011-09-28 09:17 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Corey Welton 2011-03-09 15:46:12 EST
Description of problem:

If a user Purges a plugin, but does not delete it first, it disappears from UI, but the .jar remains on the filesystem indefinitely.  Attempting to re-upload/deploy these does not seem possible either.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install a JON/RHQ server and assure all the eap5 related plugins -- AS5, Hibernate, CacheV3 -- are installed and in working order.  Check the timestamps for these plugins on the filesystem
2.  Administration > Plugins
3.  Attempt to PURGE these three plugins -- do not delete them first.
4.  Rescan plugins -- note they are now missing in UI.
5.  Wait some time to see if they ever come back (they won't)
6.  Attempt to redeploy these by uploading anew
7.  Scan for updates.
8.  Check the timestamps on the filesystem again
  
Actual results:
* The plugins never appear in the list
* The file timestamp remains the same, as if the .jars were never uploaded/redeployed

Expected results:
* Plugins get redeployed and appear on list


Additional info:
I am really not sure what we expect to happen when purging a plugin w/o deleting.  But at very least we should be able to "make it all go away!" by uploading the plugins anew.
Comment 1 John Mazzitelli 2011-04-01 11:48:02 EDT
you should never be able to select the purge button for those plugins that are not yet deleted. need to fix the workflow in the ui
Comment 2 Charles Crouch 2011-09-27 10:37:48 EDT
Just need to fix UI as mazz describes
Comment 3 Heiko W. Rupp 2011-09-28 09:17:51 EDT
Created attachment 525338 [details]
yellow message

In Goregui, the purge button is not listed for a plugin that is not yet deleted.
If you press on "list deleted" the purge button shows up, but trying to purge a not-yet-deleted plugin will result in a yellow box "you can't do that" and no plugins are deleted/purged (see attachment)
Comment 4 Sunil Kondkar 2011-09-29 07:36:46 EDT
Verified on build#446 (Version: 4.1.0-SNAPSHOT Build Number: 566527b)

The 'Purge' button is not displayed in Administration > Plugins when plugin is not deleted. Clicking on 'Show Deleted' button displays the 'Purge' button.

Selected JBossAS5, JBossCache3 and Hibernate] plugins and clicked on purge button without deleting them. The UI displays below message in UI:

Plugins must be deleted before they they can be purged. The following plugins must first be deleted: [JBossAS5, JBossCache3, Hibernate]. No plugins were purged.

Marking as verified.
Comment 5 Heiko W. Rupp 2013-08-31 06:40:25 EDT
This was fixed around RHQ 4.1 so closing it.

As the situation can still be improved, I have opened Bug 1003161 to implement improvements.

Note You need to log in before you can comment on or make changes to this bug.